Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class MultiPartDimeInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.axis.attachments.MultiPartInputStream
                  org.apache.axis.attachments.MultiPartDimeInputStream

public class MultiPartDimeInputStream
extends MultiPartInputStream

This simulates the multipart stream

Field Summary
`protected byte[]` | `boundary`
`protected ByteArrayInputStream` | `cachedSOAPEnvelope`
`protected boolean` | `closed`
`protected String` | `contentId`
`protected DimeDelimitedInputStream` | `dimeDelimitedStream`
`protected boolean` | `eos`
`protected LinkedList` | `orderedParts`
`protected HashMap` | `parts`
`protected static String[]` | `READ_ALL`
`protected int` | `rootPartLength`
`protected InputStream` | `soapStream`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`MultiPartDimeInputStream(InputStream is)` Multipart stream.

Method Summary
`protected void` | `addPart(String contentId, String locationId, AttachmentPartImpl ap)`
`void` | `close()`
`Part` | `getAttachmentByReference(String[] id)`
`Collection` | `getAttachments()`
`String` | `getContentId()` Return the content id of the stream
`String` | `getContentLocation()` Return the content location.
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)` Read the root stream.
`protected void` | `readAll()`
`protected Part` | `readTillFound(String[] id)` This will read streams in till the one that is needed is found.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parts

    protected HashMap parts

### orderedParts

    protected LinkedList orderedParts

### rootPartLength

    protected int rootPartLength

### closed

    protected boolean closed

### eos

    protected boolean eos

### dimeDelimitedStream

    protected DimeDelimitedInputStream dimeDelimitedStream

### soapStream

    protected InputStream soapStream

### boundary

    protected byte[] boundary

### cachedSOAPEnvelope

    protected ByteArrayInputStream cachedSOAPEnvelope

### contentId

    protected String contentId

### READ_ALL

    protected static final String[] READ_ALL

Constructor Detail

### MultiPartDimeInputStream

    public MultiPartDimeInputStream(InputStream is)
                             throws IOException

  Multipart stream.

Parameters:
  `is` - the true input stream from where the source.

Method Detail

### getAttachmentByReference

    public Part getAttachmentByReference(String[] id)
                                  throws AxisFault

  Specified by:
    `getAttachmentByReference` in class `MultiPartInputStream`
  Throws:
    `AxisFault`

### addPart

    protected void addPart(String contentId,
                           String locationId,
                           AttachmentPartImpl ap)

### readAll

    protected void readAll()
                    throws AxisFault

  Throws:
    `AxisFault`

### getAttachments

    public Collection getAttachments()
                              throws AxisFault

  Specified by:
    `getAttachments` in class `MultiPartInputStream`
  Throws:
    `AxisFault`

### readTillFound

    protected Part readTillFound(String[] id)
                          throws IOException

  This will read streams in till the one that is needed is found.

  Parameters:
    `id` - is the stream being sought.
  Throws:
    `IOException`

### getContentLocation

    public String getContentLocation()

  Return the content location.

  Specified by:
    `getContentLocation` in class `MultiPartInputStream`
  Returns:
    the Content-Location of the stream. Null if no content-location specified.

### getContentId

    public String getContentId()

  Return the content id of the stream

  Specified by:
    `getContentId` in class `MultiPartInputStream`
  Returns:
    the Content-Location of the stream. Null if no content-location specified.

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Read the root stream.

  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.